/**
  *  \file client/dialogs/objselect.h
  *
  *  (c) 2001-2018 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_DIALOGS_OBJSELECT_H
#define PCC_V2_CLIENT_DIALOGS_OBJSELECT_H

#include "game/objsel.h"
#include "ui/window.h"
#include "cpluslib/string.h"

class WObjectSelectionDialog : public UIWindow {
 public:
    WObjectSelectionDialog(const string_t title, const string_t helpId, GObjectSelection& selection);
    void addWidget(UIBaseWidget& w);
    
 private:
    ObjectHolder h;
    UIGroup& content;

    void buildDialog(const string_t& helpId, GObjectSelection& selection);
};

#endif
